| Home | Libraries | People | FAQ | More

#### strategy::transform::rotate_transformer

Strategy of rotate transformation in Cartesian system.

###### Description

Rotate rotates a geometry of specified angle about a fixed point (e.g. origin).

###### Synopsis

    template<typename P1, typename P2, typename DegreeOrRadian>
    class strategy::transform::rotate_transformer
    {
      // ...
    };

###### Template parameter(s)

Parameter | Description
--- | ---
typename P1 | first point type
typename P2 | second point type
typename DegreeOrRadian | degree/or/radian, type of rotation angle specification

###### Constructor(s)

Function | Description | Parameters
--- | --- | ---

    rotate_transformer(angle_type const & angle)

angle_type const &: angle:

###### Header

`#include <boost/geometry/strategies/transform/matrix_transformers.hpp>`